This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1259411 - Backport: nova-network needs authentication
Backport: nova-network needs authentication
Status: CLOSED EOL
Product: RDO
Classification: Community
Component: openstack-puppet-modules (Show other bugs)
Kilo
x86_64 Linux
unspecified Severity medium
: ---
: Kilo
Assigned To: Ivan Chavero
Shai Revivo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-02 10:22 EDT by Bob Ball
Modified: 2016-05-19 11:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-19 11:56:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bob Ball 2015-09-02 10:22:24 EDT
Description of problem:
When using packstack to install a nova-network setup, an error is returned saying authentication is required:
10.80.238.227_nova.pp:                            [ ERROR ]          
Applying Puppet manifests                         [ ERROR ]

ERROR : Error appeared during Puppet run: 10.80.238.227_nova.pp
Error: Execution of '/usr/bin/nova network-create novanetwork --fixed-range-v4 192.168.32.0/22' returned 1: ERROR (CommandError): You must provide a username or user id via --os-username, --os-user-id, env[OS_USERNAME] or env[OS_USER_ID]
You will find full trace in log /var/tmp/packstack/20150902-134753-xtfpOt/manifests/10.80.238.227_nova.pp.log
Please check log file /var/tmp/packstack/20150902-134753-xtfpOt/openstack-setup.log for more information

Version-Release number of selected component (if applicable):
openstack-packstack-2015.1-0.11.dev1616.g5526c38.el7.noarch

How reproducible:
100%

Steps to Reproduce:
1. Install packstack using https://www.rdoproject.org/Quickstart
2. Generate an answer-file
3. Disable Neutron (so nova-network will be used)
4. run packstack --answer-file=<file>

Actual results:
Packstack should succeed

Expected results:
Error: Execution of '/usr/bin/nova network-create novanetwork --fixed-range-v4 192.168.32.0/22' returned 1: ERROR (CommandError): You must provide a username or user id via --os-username, --os-user-id, env[OS_USERNAME] or env[OS_USER_ID]

Additional info:
This is due to an error in the puppet modules which is due to be fixed by
https://review.openstack.org/#/c/206926/
Comment 1 Bob Ball 2015-09-03 08:29:20 EDT
Even with the above change, further changes are needed to the puppet scripts to fix nova-networking.  One revert (https://review.openstack.org/#/c/210256/1) does fix both issues.
Comment 3 Chandan Kumar 2016-05-19 11:56:40 EDT
This bug is against a Version which has reached End of Life.
If it's still present in supported release (http://releases.openstack.org), please update Version and reopen.

Note You need to log in before you can comment on or make changes to this bug.